<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>Class Hierarchy</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="aggregations/package-tree.html">aggregations</a>, </li>
<li><a href="aggregations/bucketaggs/package-tree.html">aggregations.bucketaggs</a>, </li>
<li><a href="aggregations/metricsaggs/package-tree.html">aggregations.metricsaggs</a>, </li>
<li><a href="deserialization/package-tree.html">deserialization</a>, </li>
<li><a href="docrequests/package-tree.html">docrequests</a>, </li>
<li><a href="elasticclient/package-tree.html">elasticclient</a>, </li>
<li><a href="examples/newaggregation/package-tree.html">examples.newaggregation</a>, </li>
<li><a href="examples/newquery/package-tree.html">examples.newquery</a>, </li>
<li><a href="examples/newtemplate/package-tree.html">examples.newtemplate</a>, </li>
<li><a href="queries/package-tree.html">queries</a>, </li>
<li><a href="queries/boolquery/package-tree.html">queries.boolquery</a>, </li>
<li><a href="queries/fulltext/package-tree.html">queries.fulltext</a>, </li>
<li><a href="templates/package-tree.html">templates</a>, </li>
<li><a href="tests/package-tree.html">tests</a>, </li>
<li><a href="tests/assertions/package-tree.html">tests.assertions</a>, </li>
<li><a href="tests/testquery/package-tree.html">tests.testquery</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">deserialization.<a href="deserialization/AggregationDeserializer.html" title="class in deserialization"><span class="typeNameLink">AggregationDeserializer</span></a> (implements com.google.gson.JsonDeserializer&lt;T&gt;)</li>
<li type="circle">aggregations.metricsaggs.<a href="aggregations/metricsaggs/AggregationFactory.html" title="class in aggregations.metricsaggs"><span class="typeNameLink">AggregationFactory</span></a></li>
<li type="circle">aggregations.<a href="aggregations/AggregationType.html" title="class in aggregations"><span class="typeNameLink">AggregationType</span></a>
<ul>
<li type="circle">aggregations.bucketaggs.<a href="aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">DateRange</span></a></li>
<li type="circle">aggregations.bucketaggs.<a href="aggregations/bucketaggs/IpRangeAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">IpRangeAggregation</span></a></li>
<li type="circle">aggregations.metricsaggs.<a href="aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs"><span class="typeNameLink">MetricsAggregation</span></a></li>
<li type="circle">examples.newaggregation.<a href="examples/newaggregation/NewFilterAggregation.html" title="class in examples.newaggregation"><span class="typeNameLink">NewFilterAggregation</span></a></li>
<li type="circle">aggregations.bucketaggs.<a href="aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">RangeAggregation</span></a></li>
<li type="circle">aggregations.bucketaggs.<a href="aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">TermsAggregation</span></a></li>
</ul>
</li>
<li type="circle">aggregations.bucketaggs.<a href="aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">AggsBucketOrder</span></a></li>
<li type="circle">queries.boolquery.<a href="queries/boolquery/Bool.html" title="class in queries.boolquery"><span class="typeNameLink">Bool</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">elasticclient.<a href="elasticclient/ClientRequest.html" title="class in elasticclient"><span class="typeNameLink">ClientRequest</span></a></li>
<li type="circle">templates.<a href="templates/Count_template.html" title="class in templates"><span class="typeNameLink">Count_template</span></a> (implements templates.<a href="templates/ITemplate.html" title="interface in templates">ITemplate</a>)</li>
<li type="circle">docrequests.<a href="docrequests/DocCreateRequest.html" title="class in docrequests"><span class="typeNameLink">DocCreateRequest</span></a> (implements docrequests.<a href="docrequests/Request.html" title="interface in docrequests">Request</a>)</li>
<li type="circle">docrequests.<a href="docrequests/DocDeleteRequest.html" title="class in docrequests"><span class="typeNameLink">DocDeleteRequest</span></a> (implements docrequests.<a href="docrequests/Request.html" title="interface in docrequests">Request</a>)</li>
<li type="circle">docrequests.<a href="docrequests/DocUpdateRequest.html" title="class in docrequests"><span class="typeNameLink">DocUpdateRequest</span></a> (implements docrequests.<a href="docrequests/Request.html" title="interface in docrequests">Request</a>)</li>
<li type="circle">elasticclient.<a href="elasticclient/ElasticClient.html" title="class in elasticclient"><span class="typeNameLink">ElasticClient</span></a></li>
<li type="circle">elasticclient.<a href="elasticclient/ElasticClientResponse.html" title="class in elasticclient"><span class="typeNameLink">ElasticClientResponse</span></a></li>
<li type="circle">tests.<a href="tests/ElasticClientTest.html" title="class in tests"><span class="typeNameLink">ElasticClientTest</span></a></li>
<li type="circle">examples.newquery.<a href="examples/newquery/ExistsQuery.html" title="class in examples.newquery"><span class="typeNameLink">ExistsQuery</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">tests.assertions.<a href="tests/assertions/Main.html" title="class in tests.assertions"><span class="typeNameLink">Main</span></a></li>
<li type="circle">queries.fulltext.<a href="queries/fulltext/Match.html" title="class in queries.fulltext"><span class="typeNameLink">Match</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">queries.fulltext.<a href="queries/fulltext/MatchPhrase.html" title="class in queries.fulltext"><span class="typeNameLink">MatchPhrase</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">queries.fulltext.<a href="queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext"><span class="typeNameLink">MatchPhrasePrefix</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">examples.newaggregation.<a href="examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation"><span class="typeNameLink">NewAggregationMain</span></a></li>
<li type="circle">examples.newquery.<a href="examples/newquery/NewQueryMain.html" title="class in examples.newquery"><span class="typeNameLink">NewQueryMain</span></a></li>
<li type="circle">examples.newtemplate.<a href="examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate"><span class="typeNameLink">NewTemplateMain</span></a></li>
<li type="circle">queries.fulltext.<a href="queries/fulltext/QueryString.html" title="class in queries.fulltext"><span class="typeNameLink">QueryString</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">deserialization.<a href="deserialization/QueryTypeDeserializer.html" title="class in deserialization"><span class="typeNameLink">QueryTypeDeserializer</span></a> (implements com.google.gson.JsonDeserializer&lt;T&gt;)</li>
<li type="circle">queries.<a href="queries/Range.html" title="class in queries"><span class="typeNameLink">Range</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">aggregations.bucketaggs.<a href="aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">RangeElement</span></a></li>
<li type="circle">deserialization.<a href="deserialization/RequestDeserializer.html" title="class in deserialization"><span class="typeNameLink">RequestDeserializer</span></a> (implements com.google.gson.JsonDeserializer&lt;T&gt;)</li>
<li type="circle">queries.<a href="queries/Search.html" title="class in queries"><span class="typeNameLink">Search</span></a></li>
<li type="circle">queries.<a href="queries/Sort.html" title="class in queries"><span class="typeNameLink">Sort</span></a></li>
<li type="circle">queries.<a href="queries/Source.html" title="class in queries"><span class="typeNameLink">Source</span></a></li>
<li type="circle">templates.<a href="templates/Template1.html" title="class in templates"><span class="typeNameLink">Template1</span></a> (implements templates.<a href="templates/ITemplate.html" title="interface in templates">ITemplate</a>)</li>
<li type="circle">deserialization.<a href="deserialization/TemplateDeserializer.html" title="class in deserialization"><span class="typeNameLink">TemplateDeserializer</span></a> (implements com.google.gson.JsonDeserializer&lt;T&gt;)</li>
<li type="circle">queries.<a href="queries/Term.html" title="class in queries"><span class="typeNameLink">Term</span></a> (implements queries.<a href="queries/QueryType.html" title="interface in queries">QueryType</a>)</li>
<li type="circle">tests.testquery.<a href="tests/testquery/TestQueryMain.html" title="class in tests.testquery"><span class="typeNameLink">TestQueryMain</span></a></li>
<li type="circle">examples.newtemplate.<a href="examples/newtemplate/TestTemplate.html" title="class in examples.newtemplate"><span class="typeNameLink">TestTemplate</span></a> (implements templates.<a href="templates/ITemplate.html" title="interface in templates">ITemplate</a>)</li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">aggregations.<a href="aggregations/AggregationException.html" title="class in aggregations"><span class="typeNameLink">AggregationException</span></a></li>
<li type="circle">docrequests.<a href="docrequests/DocRequestException.html" title="class in docrequests"><span class="typeNameLink">DocRequestException</span></a></li>
<li type="circle">elasticclient.<a href="elasticclient/ElasticClientException.html" title="class in elasticclient"><span class="typeNameLink">ElasticClientException</span></a></li>
<li type="circle">queries.<a href="queries/QueryMalformedException.html" title="class in queries"><span class="typeNameLink">QueryMalformedException</span></a></li>
<li type="circle">java.lang.RuntimeException
<ul>
<li type="circle">com.google.gson.JsonParseException
<ul>
<li type="circle">deserialization.<a href="deserialization/CustomParserException.html" title="class in deserialization"><span class="typeNameLink">CustomParserException</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">queries.<a href="queries/SearchException.html" title="class in queries"><span class="typeNameLink">SearchException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">templates.<a href="templates/ITemplate.html" title="interface in templates"><span class="typeNameLink">ITemplate</span></a></li>
<li type="circle">queries.<a href="queries/QueryType.html" title="interface in queries"><span class="typeNameLink">QueryType</span></a></li>
<li type="circle">docrequests.<a href="docrequests/Request.html" title="interface in docrequests"><span class="typeNameLink">Request</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
